<%@include file="include/header.jsp"%>
<%
//-----------------------------------------------
// Set permission for this page.
permission.addAdmin();

//Check permission.
if(!checkPermission()){
	return;
}

// Create data access object.
UserDao dao = new UserDao(paramInt("opId"));

// Global.
UserData data = dao.selectOne(paramInt("id"));
%>
<%@include file="include/action_info.jsp"%>

<!-- view -->
<fieldset>
<legend>USER</legend>
<table class="view">

	<tr>
		<td width="200">Name</td>
		<td>
			<%= data.name%>
		</td>
	</tr>

	<tr>
		<td>Work-time Policy</td>
		<td>
			<%= data.policyName%>
		</td>
	</tr>

	<tr>
		<td>Free-time Policy</td>
		<td>
			<%= data.ftPolicyName%>
		</td>
	</tr>

	<tr>
		<td>Login Token</td>
		<td>
			<%= data.token%>
		</td>
	</tr>

	<tr>
		<td>Description</td>
		<td><%= data.description%></td>
	</tr>

	<tr>
		<td>Associated IP</td>
		<td><%= data.getIpLine()%></td>
	</tr>

</table>
</fieldset>
<!-- /view -->

<%@include file="include/footer.jsp"%>
